Memo/Linux/Redhat Enterprise Linux ES4

https://dexlab.net:443/pukiwiki/index.php?Memo/Linux/Redhat%20Enterprise%20Linux%20ES4
 

Memo/Linux

Redhat Enterprise Linux ES4

'Memo/Linux/Redhat Enterprise Linux ES4/' には、下位層のページがありません。

PHP の oci8 モジュール作成(ES4 RPM 版)

  1. oracle-instant-client をインストール

    以下の URL から適当にリンクを辿って、oracle-instant-client の RPM パッケー ジをダウンロード、インストール
    http://www.oracle.com/technology/tech/oci/instantclient/instantclient.html

  2. php の SRPMS をインストール
    # up2date --get-source php
    # rpm -ivh /var/spool/up2date/php-4.3.9-3.7.src.rpm
  3. spec ファイルの変更
    以下の 2行を spec ファイルの適当な場所に追加
    Patch26: php-4.3.9-oci8ic-build.patch
    %patch26 -p0 -b .oci8ic
  4. build
    # rpmbuild -ba --define '_with_oci8 1' /usr/src/redhat/SPECS/php.spec
    /usr/src/redhat/RPMS/i386/php-oci8-4.3.9-3.7.i386.rpm
    ができればよし。
    • その他作成されるもの
      # RPM
      /usr/src/redhat/RPMS/i386/php-4.3.9-3.7.i386.rpm
      /usr/src/redhat/RPMS/i386/php-debuginfo-4.3.9-3.7.i386.rpm
      /usr/src/redhat/RPMS/i386/php-devel-4.3.9-3.7.i386.rpm
      /usr/src/redhat/RPMS/i386/php-domxml-4.3.9-3.7.i386.rpm
      /usr/src/redhat/RPMS/i386/php-gd-4.3.9-3.7.i386.rpm
      /usr/src/redhat/RPMS/i386/php-imap-4.3.9-3.7.i386.rpm
      /usr/src/redhat/RPMS/i386/php-ldap-4.3.9-3.7.i386.rpm
      /usr/src/redhat/RPMS/i386/php-mbstring-4.3.9-3.7.i386.rpm
      /usr/src/redhat/RPMS/i386/php-mysql-4.3.9-3.7.i386.rpm
      /usr/src/redhat/RPMS/i386/php-ncurses-4.3.9-3.7.i386.rpm
      /usr/src/redhat/RPMS/i386/php-odbc-4.3.9-3.7.i386.rpm
      /usr/src/redhat/RPMS/i386/php-pear-4.3.9-3.7.i386.rpm
      /usr/src/redhat/RPMS/i386/php-pgsql-4.3.9-3.7.i386.rpm
      /usr/src/redhat/RPMS/i386/php-snmp-4.3.9-3.7.i386.rpm
      /usr/src/redhat/RPMS/i386/php-xmlrpc-4.3.9-3.7.i386.rpm
      
      # SRPM
      /usr/src/redhat/SRPMS/php-4.3.9-3.7.src.rpm

トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 単語検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2018-09-15 (土) 07:31:38 (5d)